summaryrefslogtreecommitdiff
path: root/checks/seat.test
diff options
context:
space:
mode:
authorKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:38 +0900
committerKibum Kim <kb0929.kim@samsung.com>2012-01-07 00:46:38 +0900
commitf5660c6460a863b19f9ef745575780e37cc192a9 (patch)
tree0b478679da32d706de7b0de546d2e4daf03b160c /checks/seat.test
parent06b9124a4f9d38acc78e6af686bc49a06f6354f8 (diff)
downloadgnupg-master.tar.gz
gnupg-master.tar.bz2
gnupg-master.zip
Diffstat (limited to 'checks/seat.test')
-rwxr-xr-xchecks/seat.test11
1 files changed, 11 insertions, 0 deletions
diff --git a/checks/seat.test b/checks/seat.test
new file mode 100755
index 0000000..72ab27f
--- /dev/null
+++ b/checks/seat.test
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+for i in $plain_files ; do
+ echo "$usrpass1" | $GPG --passphrase-fd 0 --always-trust -seat \
+ -r two -o x --yes $i
+ $GPG -o y --yes x
+ cmp $i y || error "$i: mismatch"
+done
+